From: "Robin H. Johnson" <robbat2@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lua/lpeg/
Date: Sat, 28 Nov 2020 23:13:25 +0000 (UTC) [thread overview]
Message-ID: <1606605128.1a6dc03ce8e11606e794ea6d187771e18432153c.robbat2@gentoo> (raw)
commit: 1a6dc03ce8e11606e794ea6d187771e18432153c
Author: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 28 22:51:00 2020 +0000
Commit: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Sat Nov 28 23:12:08 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a6dc03c
dev-lua/lpeg: revbump with slotted lua support
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>
dev-lua/lpeg/lpeg-1.0.2-r101.ebuild | 79 +++++++++++++++++++++++++++++++++++++
1 file changed, 79 insertions(+)
diff --git a/dev-lua/lpeg/lpeg-1.0.2-r101.ebuild b/dev-lua/lpeg/lpeg-1.0.2-r101.ebuild
new file mode 100644
index 00000000000..10a6b94a1b4
--- /dev/null
+++ b/dev-lua/lpeg/lpeg-1.0.2-r101.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..3} luajit )
+
+inherit lua flag-o-matic toolchain-funcs
+
+DESCRIPTION="Parsing Expression Grammars for Lua"
+HOMEPAGE="http://www.inf.puc-rio.br/~roberto/lpeg/"
+SRC_URI="http://www.inf.puc-rio.br/~roberto/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test debug doc"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="${LUA_DEPS}"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ virtual/pkgconfig
+ test? ( ${RDEPEND} )
+"
+
+DOCS=( HISTORY )
+HTML_DOCS=( lpeg.html re.html )
+PATCHES=( "${FILESDIR}"/${PN}-1.0.2-makefile.patch )
+
+lua_src_prepare() {
+ if ! test -d "${S}.${ELUA}/" ; then
+ cp -ral "${S}/" "${S}.${ELUA}/" || die
+ fi
+}
+
+src_prepare() {
+ default
+ use debug && append-cflags -DLPEG_DEBUG
+ lua_foreach_impl lua_src_prepare
+}
+
+lua_src_compile() {
+ cd "${S}.${ELUA}/" || die
+ emake CC="$(tc-getCC)" \
+ LUADIR="$(lua_get_include_dir)"
+}
+
+src_compile() {
+ lua_foreach_impl lua_src_compile
+}
+
+lua_src_test() {
+ cd "${S}.${ELUA}/" || die
+ ${ELUA} test.lua || die
+}
+
+src_test() {
+ lua_foreach_impl lua_src_test
+}
+
+lua_src_install() {
+ cd "${S}.${ELUA}/" || die
+ local instdir
+ instdir="$(lua_get_cmod_dir)"
+ exeinto "${instdir#${EPREFIX}}"
+ doexe lpeg.so
+ instdir="$(lua_get_lmod_dir)"
+ insinto "${instdir#${EPREFIX}}"
+ doins re.lua
+}
+
+src_install() {
+ lua_foreach_impl lua_src_install
+ cd "${S}" || die
+ use doc && einstalldocs
+}
next reply other threads:[~2020-11-28 23:13 UTC|newest]
Thread overview: 28+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-11-28 23:13 Robin H. Johnson [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-31 14:32 [gentoo-commits] repo/gentoo:master commit in: dev-lua/lpeg/ Arthur Zamarin
2023-06-28 22:34 Sam James
2022-02-15 1:25 Conrad Kostecki
2021-10-11 13:47 Yixun Lan
2021-06-07 14:20 Guilherme Amadio
2021-03-16 17:37 Conrad Kostecki
2021-03-09 18:22 Aaron Bauman
2021-01-23 22:42 Sam James
2020-12-03 13:11 Marek Szuba
2020-11-29 15:37 Conrad Kostecki
2020-04-23 16:29 Sergei Trofimovich
2020-04-17 16:24 Sergei Trofimovich
2020-04-08 20:53 Sergei Trofimovich
2018-07-07 12:15 Jonas Stein
2018-03-28 20:55 Matt Turner
2018-01-05 13:30 Patrice Clement
2018-01-05 11:18 Patrice Clement
2017-07-29 12:34 Alexis Ballier
2017-01-31 5:18 Tim Harder
2016-12-09 5:13 Benda XU
2016-12-02 2:33 Benda XU
2016-06-19 12:27 Sergei Trofimovich
2016-04-21 22:37 Patrice Clement
2016-04-21 22:37 Patrice Clement
2016-04-21 18:05 Tim Harder
2016-03-12 6:56 Tim Harder
2015-09-15 0:41 Tim Harder
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1606605128.1a6dc03ce8e11606e794ea6d187771e18432153c.robbat2@gentoo \
--to=robbat2@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox